%define prefix  /usr
%define datadir /usr/share
%define _defaultdocdir  %{datadir}/doc

Summary: An info file viewer.
Name: pinfo
Version: 0.6.0
Release: 3j1
Group: Documentation
Copyright: GPL
Url: http://zeus.polsl.gliwice.pl/~pborys/
Source: http://zeus.polsl.gliwice.pl/~pborys/stable-version/pinfo-%{version}.tar.gz
Patch0: pinfo-0.6.0-mkstemp.patch
Patch1:	pinfo-fhs.patch
Patch2:	pinfo-buildroot.patch
Patch10:	pinfo-japo.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Pinfo is an info file (or man page) viewer with a user interface
similar to the Lynx Web browser's interface.  Pinfo support regexp
searching and is based on the ncurses library.

%prep
%setup -q
%patch0 -p1 -b .mkstemp
%patch1 -p1 -b .fhs
%patch2 -p1 -b .buildroot
%patch10 -p1 -b .japo

%build
CFLAGS=-ggdb; export CFLAGS
./configure --sysconfdir=/etc --prefix=%{prefix} --mandir=%{datadir}/man  \
	--infodir=%{datadir}/info
	
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

make install DESTDIR=$RPM_BUILD_ROOT
ln -sf pinfo $RPM_BUILD_ROOT%{_bindir}/pman
ln -sf pinfo.1 $RPM_BUILD_ROOT%{_mandir}/man1/pman.1

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TECHSTUFF TODO
%config /etc/pinforc
%{_bindir}/pinfo
%{_bindir}/pman
%{_mandir}/man1/pinfo.1*
%{_mandir}/man1/pman.1*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 30 2000 Satoru Sato <ssato@redhat.com>
- fix SPEC (don't use %makeinstall and %configure macro)
  
- enable nls-support
- add ja.po

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- add pman(1) links, per documentation

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix possible crash due to use of tempnam()

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.6.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- spec file cleanups

* Thu Jun  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for main distribution
- use %%makeinstall

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.5.9
- use %%configure and %%{_prefix} where possible

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Sun Aug 8 1999 Tim Powers <timp@redhat.com>
- rebuilt to be included in Powertools
